"{ Package: 'stx:libview2' }"

MIMETypes subclass:#MIMEType
	instanceVariableNames:'fileName mimeType'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Documentation'
!


!MIMEType class methodsFor:'instance creation'!

for:fileName

    | instance |

    instance := self basicNew.
    instance fileName:fileName.
    ^ instance.
! !

!MIMEType methodsFor:'accessing'!

fileName
    "return the value of the instance variable 'fileName' (automatically generated)"

    ^ fileName
!

fileName:something
    "set the value of the instance variable 'fileName' (automatically generated)"

    fileName := something.
!

mimeType
    "return the value of the instance variable 'mimeType' (automatically generated)"

    mimeType isNil ifTrue:[
        mimeType := self mimeTypeBySuffix.
    ].
    ^ mimeType
!

mimeTypeByContents
    "return the value of the instance variable 'mimeTypeByContents' (automatically generated)"

    ^ nil
!

mimeTypeBySuffix
    "return the value of the instance variable 'mimeType' (automatically generated)"

    mimeType isNil ifTrue:[
        mimeType := self class mimeTypeForSuffix:(self fileName suffix).
    ].
    ^ mimeType
! !

!MIMEType methodsFor:'queries'!

isArchiv

    |archivTypes|

    mimeType isNil ifTrue:[^ false].
    archivTypes := self class applicationComprAndArchiveTypeList.
    archivTypes pairWiseDo:[: ext : type |
        type = mimeType ifTrue:[ ^ true].
    ].
    ^ false
!

isHtml

    self mimeType isNil ifTrue:[^ false].
    ^ (mimeType = 'text/html')
!

isImage

    self mimeType isNil ifTrue:[^ false].
    ^ (mimeType startsWith:'image')
!

isPdf

    self mimeType isNil ifTrue:[^ false].
    ^ (mimeType = 'application/pdf')
! !

!MIMEType class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/Attic/MIMEType.st,v 1.2 2002-09-10 14:22:23 penk Exp $'
! !
